<Project Sdk="Microsoft.NET.Sdk">

    <PropertyGroup>
        <TargetFramework>net6.0-windows</TargetFramework>
        <ImplicitUsings>enable</ImplicitUsings>
        <Nullable>enable</Nullable>
        <UseWindowsForms>true</UseWindowsForms>
        <UseWpf>true</UseWpf>
    </PropertyGroup>

    <ItemGroup>
        <Reference Include="Syncfusion.PdfViewer.WPF">
            <HintPath>..\..\..\Users\Fiona\.nuget\packages\syncfusion.pdfviewer.wpf\20.2.0.38\lib\net5.0-windows7.0\Syncfusion.PdfViewer.WPF.dll</HintPath>
        </Reference>
        <Reference Include="WindowsFormsIntegration" />
    </ItemGroup>

    <ItemGroup>
        <PackageReference Include="Extended.Wpf.Toolkit">
            <Version>4.4.0</Version>
        </PackageReference>
        <PackageReference Include="FastReport.Net.Pro" Version="2022.3.12" />
        <PackageReference Include="Microsoft.CodeAnalysis.Common">
          <Version>4.0.1</Version>
        </PackageReference>
        <PackageReference Include="Microsoft.NETFramework.ReferenceAssemblies">
            <Version>1.0.2</Version>
        </PackageReference>
        <PackageReference Include="Syncfusion.Pdf.Wpf">
            <Version>20.2.0.46</Version>
        </PackageReference>
        <PackageReference Include="Syncfusion.PdfViewer.WPF">
            <Version>20.2.0.46</Version>
        </PackageReference>
        <PackageReference Include="Syncfusion.Tools.WPF">
            <Version>20.2.0.46</Version>
        </PackageReference>
    </ItemGroup>

    <ItemGroup>
        <ProjectReference Include="..\InABox.Core\InABox.Core.csproj" />
        <ProjectReference Include="..\InABox.DynamicGrid\InABox.DynamicGrid.csproj" />
        <ProjectReference Include="..\InABox.Reports.Common\InABox.Reports.Common.csproj" />
        <ProjectReference Include="..\InABox.Scripting\InABox.Scripting.csproj" />
        <ProjectReference Include="..\inabox.wpf\InABox.Wpf.csproj" />
    </ItemGroup>

    <ItemGroup>
        <Compile Remove="archive\**" />
    </ItemGroup>

    <ItemGroup>
        <EmbeddedResource Remove="archive\**" />
    </ItemGroup>

    <ItemGroup>
        <None Remove="archive\**" />
        <None Remove=".gitignore" />
    </ItemGroup>

    <ItemGroup>
        <Page Remove="archive\**" />
    </ItemGroup>

    <ItemGroup>
      <None Remove="Resources\back.png" />
      <Resource Include="Resources\back.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <None Remove="Resources\edit.png" />
      <Resource Include="Resources\edit.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <None Remove="Resources\email.png" />
      <Resource Include="Resources\email.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <None Remove="Resources\export.png" />
      <Resource Include="Resources\export.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <None Remove="Resources\first.png" />
      <Resource Include="Resources\first.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <None Remove="Resources\frog_software_icon.ico" />
      <Resource Include="Resources\frog_software_icon.ico">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <None Remove="Resources\last.png" />
      <Resource Include="Resources\last.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <None Remove="Resources\load.png" />
      <Resource Include="Resources\load.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <None Remove="Resources\next.png" />
      <Resource Include="Resources\next.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <None Remove="Resources\pencil.png" />
      <Resource Include="Resources\pencil.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <None Remove="Resources\prev.png" />
      <Resource Include="Resources\prev.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <None Remove="Resources\print.png" />
      <Resource Include="Resources\print.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <None Remove="Resources\printer.png" />
      <Resource Include="Resources\printer.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <None Remove="Resources\save.png" />
      <Resource Include="Resources\save.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <None Remove="Resources\upload.png" />
      <Resource Include="Resources\upload.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <None Remove="Resources\zoomin.png" />
      <Resource Include="Resources\zoomin.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <None Remove="Resources\zoomout.png" />
      <Resource Include="Resources\zoomout.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
    </ItemGroup>

	<ItemGroup>
		<Compile Update="Properties\Resources.Designer.cs">
			<DesignTime>True</DesignTime>
			<AutoGen>true</AutoGen>
			<DependentUpon>Resources.resx</DependentUpon>
		</Compile>
	</ItemGroup>
	<ItemGroup>
		<EmbeddedResource Update="Properties\Resources.resx">
			<Generator>ResXFileCodeGenerator</Generator>
			<LastGenOutput>Resources.Designer.cs</LastGenOutput>
		</EmbeddedResource>
	</ItemGroup>

</Project>
